@echo off

SET prefix=C:/projects/pdal/install
SET exec_prefix=C:/projects/pdal/install/bin
SET libdir=C:/projects/pdal/install/lib


IF "%1" == "--libs" echo -LC:/projects/pdal/install/lib -lpdalcpp & goto exit
IF "%1" == "--plugin-dir" echo C:/OSGeo4W64/bin & goto exit
IF "%1" == "--prefix" echo %prefix% & goto exit
IF "%1" == "--ldflags" echo -L%libdir% & goto exit
IF "%1" == "--defines" echo  & goto exit
IF "%1" == "--includes" echo -IC:/projects/pdal/install/include -IC:/OSGeo4W64/apps/gdal-dev/include -IC:/OSGeo4W64/include/libxml2 -IC:/OSGeo4W64/include -IC:/OSGeo4W64/include/laszip & goto exit
IF "%1" == "--cflags" echo  /DWIN32 /D_WINDOWS /W3   /MP4 & goto exit
IF "%1" == "--cxxflags" echo  /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MP4 -std=c++11 & goto exit
IF "%1" == "--version" echo 1.5.0 & goto exit
IF "%1" == "--python-version" echo 3.6.0 & goto exit


echo Usage: pdal-config [OPTIONS]
echo Options:
echo    [--cflags]
echo    [--cxxflags]
echo    [--defines]
echo    [--includes]
echo    [--libs]
echo    [--plugin-dir]
echo    [--version]
echo    [--python-version]

:exit
